Get access token
Authentication
Get access token
Request access_token and refresh_token
There are three ways to exchange parameters for tokens
- Provide client credentials
client_idandclient_secret - Provide a
refresh_token - Provide
usernameandpassword(client credentials is preferred)
Using grant_type=client_credentials
Only include params: client_id, client_secret, and grant_type.
- The
grant_typeparam value must be:client_credentials
Using grant_type=refresh_token
Only include params: refresh_token and grant_type.
- The
grant_typeparam value must be:refresh_token - The
refresh_tokenmust be a unexpired JWT token, from a prior client credential token grant.
Using username and password
Only include params: username and password.
Response
A successful response will provide access_token and refresh_token values.
- Use the
access_tokenin yourAuthorizationheader as a “Bearer” token to make authenticated requests to the API. E.g.GET https://api.kajabi.com/v1/me - Store the
refresh_tokento exchange for a newaccess_tokenwhen it expires. - Tokens may be invalidated using the
v1/oauth/revokeendpoint to “log out”.
Attributes
access_token(string) - The access token for the API sessionrefresh_token(string) - The refresh token for the API sessiontoken_type(string) - The type of token, alwaysBearerexpires_in(integer) - The number of seconds the access token will be valid for
POST
Get access token